<html
    xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
    xmlns:core="http://typo3.org/ns/TYPO3/CMS/Core/ViewHelpers"
    xmlns:be="http://typo3.org/ns/TYPO3/CMS/Backend/ViewHelpers"
    data-namespace-typo3-fluid="true">

<f:layout name="Default" />

<f:section name="Content">
    <h1>{f:translate(key: 'index.title', extensionName: 'wstb_easyconf')}</h1>
    <div class="col-md-8 col-lg-7 col-xl-6">
        <f:if condition="{templateUid} == 0">
            <f:be.infobox state="-2" title="{f:translate(key: 'noTemplate.title', extensionName: 'wstb_easyconf')}">
                <p>{f:translate(key: 'noTemplate.description', extensionName: 'wstb_easyconf')}</p>
                <f:for each="{sites}" as="site">
                    <be:link.editRecord
                        class="btn btn-success me-2 mb-2"
                        returnUrl="{f:be.uri(route: 'WebsiteToolboxWebsitetools_EasyconfConfiguration')}"
                        table="tx_easyconf_configuration"
                        uid="{site.configurationUid}"
                    >
                        <f:format.printf arguments="{pageTitle: site.rootPageTitle}">{f:translate(key: 'selectPage', extensionName: 'wstb_easyconf')}</f:format.printf>
                    </be:link.editRecord>
                </f:for>
                <f:comment>
                    <a class="btn btn-primary mb-2" href="{be:moduleLink(route: 'web_ts', arguments: '{id: pageUid}')}">{f:translate(key: 'switchTemplateModule', extensionName: 'wstb_easyconf')}</a>
                </f:comment>

            </f:be.infobox>
        </f:if>
        <f:be.infobox state="0" title="{f:translate(key: 'support.title', extensionName: 'wstb_easyconf')}">
            <p>{f:translate(key: 'support.description', extensionName: 'wstb_easyconf')}</p>
            <a class="btn btn-default" href="{settings.support.url}" target="_blank" title="{f:translate(key: 'support.action.info', extensionName: 'wstb_easyconf')}" role="button">
                <span class="icon icon-size-default icon-state-default">
                    <span class="icon-markup">
                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><g class="icon-color"><path d="M8 2c3.3 0 6 2.7 6 6s-2.7 6-6 6-6-2.7-6-6 2.7-6 6-6m0-1C4.1 1 1 4.1 1 8s3.1 7 7 7 7-3.1 7-7-3.1-7-7-7z"/><path d="M7 5a1 1 0 1 1 2 0 1 1 0 1 1-2 0zM7 8a1 1 0 1 1 2 0v3a1 1 0 1 1-2 0V8z"/></g></svg>
                    </span>
                </span>
            </a>
            <a class="btn btn-default" href="mailto:{settings.support.email}" target="_blank" title="{f:translate(key: 'support.action.email', extensionName: 'wstb_easyconf')}" role="button">
                <span class="icon icon-size-default icon-state-default">
                    <span class="icon-markup">
                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><g class="icon-color"><path d="M14 3v8H8.7l-.2.1L5 13.2V11H2V3h12M1.6 2c-.3 0-.6.3-.6.6v8.9c0 .3.2.5.5.5H4v3l5-3h5.5c.3 0 .5-.2.5-.5v-9c0-.3-.2-.5-.5-.5H1.6z"/><path d="M3 6h8v1H3zM3 8h6v1H3zM3 4h10v1H3z"/></g></svg>
                    </span>
                </span>
            </a>
            <a class="btn btn-default" href="tel:{settings.support.phone -> f:cObject(typoscriptObjectPath: 'lib.tx_easyconf.fluid.phone')}" title="{f:translate(key: 'support.action.phone', extensionName: 'wstb_easyconf')}" role="button">
                <span class="icon icon-size-default icon-state-default">
                    <span class="icon-markup">
                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><g class="icon-color"><path d="M10.486 2h3.492c-.166 3.723-1.278 6.635-3.31 8.668C8.635 12.7 5.723 13.812 2 13.978v-3.492c.995-.033 1.885-.126 2.721-.35l1.072 1.071.51.51.646-.324c2.018-1.014 3.43-2.426 4.444-4.444l.325-.645-.51-.511-1.073-1.072c.225-.836.318-1.726.35-2.721m-.126-1H9.5c0 1.535-.074 2.827-.5 4l1.5 1.5c-.92 1.83-2.17 3.08-4 4L5 9c-1.173.426-2.465.5-4 .5V15c9 0 14-5 14-14h-4.64z"/></g></svg>
                    </span>
                </span>
            </a>
        </f:be.infobox>
        <f:be.infobox state="-1" title="{f:translate(key: 'info.restoreFieldValue.title', extensionName: 'wstb_easyconf')}">
            {f:translate(key: 'info.restoreFieldValue.description', extensionName: 'wstb_easyconf')}
        </f:be.infobox>
    </div>
</f:section>

</html>
